Debian Bug report logs - #535905
RFP: shellinabox -- publish command line shell through AJAX interface

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Markus Gutschke <markus@gutschke.com>

Date: Sun, 5 Jul 2009 21:30:04 UTC

Severity: wishlist

Fixed in version shellinabox/2.11-1

Done: Marc Singer <elf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#535905; Package wnpp. (Sun, 05 Jul 2009 21:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Gutschke <markus@gutschke.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Sun, 05 Jul 2009 21:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Markus Gutschke <markus@gutschke.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: shellinabox -- publish command line shell through AJAX interface
Date: Sun, 05 Jul 2009 14:28:39 -0700
Package: wnpp
Severity: wishlist

* Package name    : shellinabox
  Version         : 2.8 (revision 137)
  Upstream Author : Markus Gutschke <markus@shellinabox.com>
* URL             : http://shellinabox.com/
* License         : GPLv2 (with OpenSSL exemption)
  Programming Lang: C, JavaScript
  Description     : publish command line shell through AJAX interface

 Shellinabox can export arbitrary command line programs to any JavaScript
 enabled web browser. By default, it prompts for username and password
 and then exports a SSL/TLS encrypted login shell.

I am the author of Shell In A Box, and I already provide Debian package from
the code.google.com site that hosts the project. I would like to suggest it
for inclusion in Debian, but would need a Debian maintainer to sponsor it.

If Debian requires patches to be made to the code, I am perfectly happy to
include these changes in the upstream version of the code.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#535905; Package wnpp. (Mon, 03 May 2010 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 May 2010 19:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 535905@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: 535905@bugs.debian.org
Cc: Markus Gutschke <markus@gutschke.com>
Subject: Re: RFP: shellinabox -- publish command line shell through AJAX interface
Date: Mon, 03 May 2010 20:51:20 +0200
Hello Markus,

I would be happy to try and work on packaging shellinabox for Debian. I
am only DM and would need a sponsor to upload it to the official archive
though.

Before I retitle this bug to an ITP, I would also like to be sure you
would be ready to help me in understanding and fixing possible issues?

Cheers,
Julien





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#535905; Package wnpp. (Mon, 03 May 2010 20:57:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Gutschke (顧孟勤) <markus@gutschke.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 May 2010 20:57:16 GMT) Full text and rfc822 format available.

Message #15 received at 535905@bugs.debian.org (full text, mbox):

From: Markus Gutschke (顧孟勤) <markus@gutschke.com>
To: Julien Valroff <julien@kirya.net>
Cc: 535905@bugs.debian.org
Subject: Re: RFP: shellinabox -- publish command line shell through AJAX interface
Date: Mon, 3 May 2010 13:32:26 -0700
[Message part 1 (text/plain, inline)]
On Mon, May 3, 2010 at 11:51 AM, Julien Valroff <julien@kirya.net> wrote:

> I would be happy to try and work on packaging shellinabox for Debian. I
> am only DM and would need a sponsor to upload it to the official archive
> though.
>
> Before I retitle this bug to an ITP, I would also like to be sure you
> would be ready to help me in understanding and fixing possible issues?
>

I have recently been swamped with work at my day-job, and have
thus embarrassingly had way too little time to work on ShellInABox. Having
said that, I am very interested in getting it included in Debian. Most of
the hard work is probably already done for you. Take a look at
http://code.google.com/p/shellinabox/source/browse/trunk#trunk/distributions/debian
That
is probably a good starting point for you. And if you have specific
questions, I'd be happy to answer them for you.

Thanks,


Markus
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#535905; Package wnpp. (Tue, 03 Aug 2010 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Taylor Braun-Jones <taylor.jones@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 03 Aug 2010 12:39:06 GMT) Full text and rfc822 format available.

Message #20 received at 535905@bugs.debian.org (full text, mbox):

From: Taylor Braun-Jones <taylor.jones@gmail.com>
To: 535905@bugs.debian.org
Date: Tue, 3 Aug 2010 08:37:04 -0400
[Message part 1 (text/plain, inline)]
Any update on this? shellinabox is a great application used by many. I know
from experience that it works very well on i386, amd64, and armel (and have
no reason to believe it would not work equally well on the other
Debian-supported architectures).
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#535905; Package wnpp. (Tue, 10 Aug 2010 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to JoseLuis Cano <joseluiscano.2p@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 10 Aug 2010 19:39:05 GMT) Full text and rfc822 format available.

Message #25 received at 535905@bugs.debian.org (full text, mbox):

From: JoseLuis Cano <joseluiscano.2p@gmail.com>
To: Taylor Braun-Jones <taylor.jones@gmail.com>, 535905@bugs.debian.org
Subject: Re: Bug#535905:
Date: Tue, 10 Aug 2010 21:34:33 +0200
[Message part 1 (text/plain, inline)]
I have no news about the bug ...

but finally I can run Shellinabox under debian, apache2 and ssl.

I describe how I did it in
http://misnotaslinux.blogspot.com/2010/04/shellinabox-over-https-con-apache2-en.html

I apologice because is in Spanish but google translator could be sufficient
to follow this howto.

kind regards
pp:)


2010/8/3 Taylor Braun-Jones <taylor.jones@gmail.com>

> Any update on this? shellinabox is a great application used by many. I know
> from experience that it works very well on i386, amd64, and armel (and have
> no reason to believe it would not work equally well on the other
> Debian-supported architectures).
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP:shellinabox -- publish command line shell through AJAX interface' from 'RFP: shellinabox -- publish command line shell through AJAX interface' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 22 Aug 2010 21:21:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#535905; Package wnpp. (Wed, 15 Sep 2010 21:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Sep 2010 21:03:07 GMT) Full text and rfc822 format available.

Message #32 received at 535905@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 535905@bugs.debian.org
Cc: Markus Gutschke <markus@gutschke.com>
Subject: Fwd: ITP: shellinabox for Debian
Date: Wed, 15 Sep 2010 22:01:00 +0100
Hello,

Just for the record, I would like to forward all the private
converstation I had with upstream developer for `shellinabox'
software.


Forwarded conversation
Subject: ITP: shellinabox for Debian
------------------------

From: Hector Oron <hector.oron@gmail.com>
Date: 2010/8/22
To: markus@shellinabox.com
Cc: zodiac@gmail.com


Hello Markus,

 I would like to help you out to get `shellinabox' software in
Debian. Please, ping me if you are interested. You and zodiac are the
same individual person?

Best regards,
--
 Héctor Orón

----------
From: Markus Gutschke <markus@gutschke.com>
Date: 2010/8/23
To: Hector Oron <hector.oron@gmail.com>
Cc: markus@shellinabox.com


I would certainly appreciate help with getting ShellInABox into
Debian. Somebody else contacted me a good while ago, I did some work
that they asked for (that's what you see in distributions/debian/),
but then they never replied back to me.
I guess, they must have gotten too busy with other things. I can
relate to that. That's why ShellInABox currently has a somewhat
embarrasing number of open bugs. Fortunately, most of them are minor.
So, when I have more time, I should be able to cut down that number
quite quickly.
I am very motivated to get it into the distribution though, so I'll
prioritize anything you might ask for.

Markus
----------
From: Hector Oron <hector.oron@gmail.com>
Date: 2010/8/24
To: Markus Gutschke <markus@gutschke.com>


Hello Markus,

2010/8/23 Markus Gutschke <markus@gutschke.com>:
Do you remember who was it?
First of all, do you want me to be maintainer (then I do the work) or
do you want me to sponsor the package for you (then I'll be your
mentor -- http://mentors.debian.net/cgi-bin/welcome).

Cheers,
--

----------
From: Markus Gutschke <markus@gutschke.com>
Date: 2010/8/24
To: Hector Oron <hector.oron@gmail.com>


I believe, there have been a total of at least three people who
contacted me about packaging ShellInABox, but after a single e-mail, I
never heard back from them...
But at least one Debian developer, Martin Meredith, did in fact
exchange several e-mails with me. I think, that was around Christmas
last year. He had several requests for changes I should make. This
resulted in me updating the "commit" script so that it generates files
in "distribution/debian" whenever a new official release is made.
After a couple of days of working with him, he seemed to have dropped
off. No big deal. Maybe, he just didn't want to take on this project
after all. And at least he helped me get a little closer to getting
the code into a shape that will eventually be acceptable.
I don't think I want to become an official Debian developer. I very
much respect the process and the general high-quality of Debian
developers. But I don't think I am personally all that interested in
doing this. So, I would prefer if you were the official maintainer.
Having said that, I want to make your life as easy as possible. If
there is something I can do as the upstream author, that helps you
avoid unnecessary work, I will try my best to accommodate you. That's
really what I was shooting for with the files at
http://code.google.com/p/shellinabox/source/browse/trunk#trunk/distributions/debian
Ideally, they should be about as close to what you need as I can
possibly come.
If I did my job correctly, the amount of patches that you need to
carry should be minimal.
As a side note, I generally try to maintain sole authorship of the
core product, as it makes things easier should there ever be a need to
relicense the code (fortunately, so far, everybody has been happy with
my choice of GPLv2). But I don't mind if I'll end up with
distribution-specific files that have a separate copyright holder.
That is unlikely to preclude me from relicensing the core part of the
code.
Should I in fact ever decide to change the license, then it is most
likely just going to be a dual-license. So, GPLv2 is never going to go
away if I have anything to say about it.

Markus
----------
From: Markus Gutschke <markus@gutschke.com>
Date: 2010/8/24
To: Hector Oron <zumbi@debian.org>


On Tue, Aug 24, 2010 at 10:18 AM, Hector Oron <zumbi@debian.org> wrote:
>
> You do not need to be Debian developer to maintain a package, you just need a Debian developer that sponsors
> the package.

I didn't realize that this was an option. In that case, I really don't
feel particularly strongly either way. I have already done a good
amount of the work that is needed for packaging. So I don't mind
continuing to do that. But I also don't feel strongly that I need to
maintain ownership of that part of the project. So, if you prefer, you
can take over. Whatever seems easier.
>
> As upstream, it is recommended you to release a tarball, then distributors take the tarball and package it.
> It is very nice on your side to be willing to provide a debian directory, but it is likely to get bit-rot after
> sometime, it is prefered to keep packaging separated from upstream work. That is (again) why I asked you if you
> wanted to be involved in the packaging decissions.

As I am running a Debian-derived distribution myself (Ubuntu), and as
I am maintaining a few machines that run older Debian releases, I am
very likely to always have a "debian" directory. It is just easier for
me and my users, if they can call "dpkg-buildpackage" whenever they
want to build from sources.
Having said that, packages that are built this way, are likely to be a
little different from packages that are built for an official Debian
release. Differences are likely to be minor, but probably always exist
to some degree, due to different policy decisions.
In order to avoid bitrot or unneeded divergence between my upstream
source tree and the official packages, I am using the "commit" script
whenever I check code into subversion.
If you read through the script, you will see that whenever I update
the version number for ShellInABox, the "commit" script will check-in
updated archive files that are intended for use by the distribution.
It also makes any minor adjustments that are needed. At this point,
that involves making sure the package is not-native, and making sure
the correct compatibility level is used.
This approach should minimize the risk of bitrot. I am perfectly happy
to either edit my "debian" directory or my "commit" script to make any
other changes that might be needed. If that means I should be the
official Debian maintainer for ShellInABox, that is fine with me.
And if you think this approach is all wrong, then please educate me. I
want to play along with Debian's policies, but I might not necessarily
be aware of all of them.
>
> I have not yet closely look to the code, but i saw your code links to openssl, so that is not allowed in Debian,
> maybe you need to include an exception:
>  http://en.wikipedia.org/wiki/GPL_linking_exception
>  http://people.gnome.org/~markmc/openssl-and-the-gpl.html
>
>  http://lintian.debian.org/tags/possible-gpl-code-linked-with-openssl.html

I include the required exception in the COPYING file. Please let me
know, if you think this is insufficient. When building a Debian
package, I also generate the lintian overrides that state that I have
checked the license for compatibility.
Furthermore, I always make sure that the source code can be built
without OpenSSL, if the user prefers that. This really only makes
sense if used in combination with a reverse proxy. But for some users
that's OK.

>
> or you could link against gnutls as `curl' does:
>  http://packages.qa.debian.org/c/curl.html

Unfortunately, I require some OpenSSL features that have never been
ported to GNUTLS. I have an idea how I might be able to avoid use of
these features. But it involves a major rewrite of parts of the code.
So, this is relatively low priority.
>
> Now running lintian...
> W: shellinabox source: debhelper-but-no-misc-depends shellinabox

Thanks. That must be new recently. I am going to update the project to
include the dependency.

>
> W: shellinabox source: dh-clean-k-is-deprecated

That's one of the minor differences that I referred to. I am trying to
keep the subversion sources in a state that they can be built even on
older distributions. But obviously, for inclusion in the distribution,
this backwards compatibility isn't needed.
The "commit" script fixes the differences. And if you look in
"distributions/debian/" you will find archives that pass this
particular lintian check.
If you have a better suggestion for making sure that the sources build
on old distributions and that they still pass modern lintian checks,
then I would definitely be interested in knowing about it.

>
> W: shellinabox source: maintainer-script-lacks-debhelper-token debian/shellinabox.postinst
> W: shellinabox source: maintainer-script-lacks-debhelper-token debian/shellinabox.postrm

Hmm, I don't see these errors. Is this something new in Debian that
hasn't been picked up by Ubuntu yet? I should probably figure out how
to set up a Debian chroot environment.

>
> W: shellinabox source: package-lacks-versioned-build-depends-on-debhelper 7

I think, that is probably fixed in the file that is generated by the
"commit" script. But I need to double-check when I have the Debian
chroot.
>
> W: shellinabox source: debian-rules-ignores-make-clean-error line 58

Haven't seen this one before. That must be something new in lintian.

>
> W: shellinabox source: ancient-standards-version 3.6.1 (current is 3.9.1)

The "commit" script should probably update this field. As I said, I
want to be able to build on old distributions, but also support all
new requirements.

>
> E: shellinabox: possible-gpl-code-linked-with-openssl

You should not get this error when building from the files generated
by the "commit" script. Let me think if there is some way I can fix
this for the case when you are building from the subversion
repository.

>
> Finished running lintian.

I just saw that there now is a newer source format. That actually
might make things easier. I'll have to read up on it.
Also, can you advise on whether it is still recommended that I avoid
building native packages?

Markus
----------
From: Markus Gutschke <markus@gutschke.com>
Date: 2010/8/24
To: Hector Oron <zumbi@debian.org>


I fixed two minor issues and I now no longer getting any lintian
errors or warnings when running "lintian -v -I
distributions/debian/*.dsc":
N: Setting up lab in /tmp/TzkP1RRVln ...
N: Processing 1 packages...
N: ----
N: Processing source package shellinabox (version 2.10-1) ...
N: Removing /tmp/TzkP1RRVln ...
I tested this on a Debian/Sid chroot running in x86-64 mode. Let me
know, if I am doing something wrong and I should run other tests as
well.
I probably should try to understand how the new source format works
and switch over to that. Let me know, if I should still try to keep my
code non-native, or if it is preferred to create a native package. I
had the impression that the consensus started to change a little bit.
And I'd like to do whatever is considered most appropriate.

Markus
----------
From: Hector Oron <hector.oron@gmail.com>
Date: 2010/8/25
To: Markus Gutschke <markus@gutschke.com>


Hello,

Do you mind if i forward previous conversation to the original bug
report and continue there?

----------
From: Markus Gutschke (顧孟勤) <markus@gutschke.com>
Date: 2010/8/25
To: Hector Oron <hector.oron@gmail.com>


By all means. Yes, please do whatever makes most sense and follows
Debian's common policies. As I said, I am somewhat unaware of the more
subtle details of this process.

Markus
----------
From: Hector Oron <hector.oron@gmail.com>
Date: 2010/9/15
To: "Markus Gutschke (顧孟勤)" <markus@gutschke.com>


Hello Markus,

2010/8/25 Markus Gutschke (顧孟勤) <markus@gutschke.com>:
Apologies I have been busy with bunch of all other stuff, but I have
not forgot you yet.

If you are going to keep the debian directory in the sources and you
are willing to maintain this software in Debian, I would not mind to
sponsor the package (I just check it and upload to archive) once it is
in good shape.

A debian-upstream@lists.debian.org is in the way, so it might help you
out clarify some concepts, there is also
debian-mentors@lists.debian.org which should be the way you should
follow.

Please review http://mentors.debian.net and http://wiki.debian.org/UpstreamGuide

Best regards,
--
 Héctor Orón




Changed Bug title to 'ITP: shellinabox -- publish command line shell through AJAX interface' from 'ITP:shellinabox -- publish command line shell through AJAX interface' Request was from Dario Minnucci <midget@debian.org> to control@bugs.debian.org. (Sat, 23 Oct 2010 01:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#535905; Package wnpp. (Wed, 27 Jul 2011 16:29:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:29:39 GMT) Full text and rfc822 format available.

Message #39 received at 535905@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 535905@bugs.debian.org
Cc: control@bugs.debian.org
Subject: shellinabox: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 535905 RFP: shellinabox -- publish command line shell through AJAX interface
noowner 535905
thanks

Hi,

This is an automatic email to change the status of shellinabox back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting shellinabox, please send a mail to
<control@bugs.debian.org> with:

 retitle 535905 ITP: shellinabox -- publish command line shell through AJAX interface
 owner 535905 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <535905@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: shellinabox -- publish command line shell through AJAX interface' from 'ITP: shellinabox -- publish command line shell through AJAX interface' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:35 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 08:06:06 GMT) Full text and rfc822 format available.

Reply sent to Marc Singer <elf@debian.org>:
You have taken responsibility. (Fri, 06 Apr 2012 19:36:05 GMT) Full text and rfc822 format available.

Notification sent to Markus Gutschke <markus@gutschke.com>:
Bug acknowledged by developer. (Fri, 06 Apr 2012 19:36:05 GMT) Full text and rfc822 format available.

Message #48 received at 535905-close@bugs.debian.org (full text, mbox):

From: Marc Singer <elf@debian.org>
To: 535905-close@bugs.debian.org
Subject: Bug#535905: fixed in shellinabox 2.11-1
Date: Fri, 06 Apr 2012 19:33:40 +0000
Source: shellinabox
Source-Version: 2.11-1

We believe that the bug you reported is fixed in the latest version of
shellinabox, which is due to be installed in the Debian FTP archive:

shellinabox_2.11-1.debian.tar.gz
  to main/s/shellinabox/shellinabox_2.11-1.debian.tar.gz
shellinabox_2.11-1.dsc
  to main/s/shellinabox/shellinabox_2.11-1.dsc
shellinabox_2.11-1_amd64.deb
  to main/s/shellinabox/shellinabox_2.11-1_amd64.deb
shellinabox_2.11.orig.tar.gz
  to main/s/shellinabox/shellinabox_2.11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535905@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Singer <elf@debian.org> (supplier of updated shellinabox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Apr 2012 20:53:32 -0700
Source: shellinabox
Binary: shellinabox
Architecture: source amd64
Version: 2.11-1
Distribution: unstable
Urgency: low
Maintainer: Marc Singer <elf@debian.org>
Changed-By: Marc Singer <elf@debian.org>
Description: 
 shellinabox - publish command line shell through AJAX interface
Closes: 535905
Changes: 
 shellinabox (2.11-1) unstable; urgency=low
 .
   * First release into archive. (Closes: #535905.)
   * Applied patches from the issues database.
   * Rolled major revision so that the tarball is complete.
Checksums-Sha1: 
 d6753fc8578b33e6990f87c6379afbfbe7d8827f 1201 shellinabox_2.11-1.dsc
 05bb361685607a9ef11dfbc60aa733eea16b7ed3 542818 shellinabox_2.11.orig.tar.gz
 951f6e32f75b5c595cc2fb04bd6348de3e098b3b 6104 shellinabox_2.11-1.debian.tar.gz
 1964e513b99f81afef3a125f962fba6f694e4f46 142990 shellinabox_2.11-1_amd64.deb
Checksums-Sha256: 
 0b8e20bca83c9eb48a8279d043a61b6a20a142640b4e8cefee9c545d87b2ff6e 1201 shellinabox_2.11-1.dsc
 8aa4be08d1fba67998d0628a5d9ae725471f5460c1a8c5a136350db38cb80667 542818 shellinabox_2.11.orig.tar.gz
 ddf32f762ade30ef98ae3cbbb9c5bd9ce413287ddc1b6e928531160faf65d8d5 6104 shellinabox_2.11-1.debian.tar.gz
 c4f5962e03e891f8a9bd76c474defcb86318b190e4a1065cab4be65ba5a14133 142990 shellinabox_2.11-1_amd64.deb
Files: 
 7b9d81c0516006290235f5376b7a8a5a 1201 web optional shellinabox_2.11-1.dsc
 962f21830ccb70a5fd62e2112cf93f3b 542818 web optional shellinabox_2.11.orig.tar.gz
 549123dd8a893ef85d92626181d505c1 6104 web optional shellinabox_2.11-1.debian.tar.gz
 d364c4241ace292d85ca9721e5607244 142990 web optional shellinabox_2.11-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9+a1oACgkQV+jOBy6uXS3b/QCeI9JHsCwYSYlV5EgZq/l1DX9w
nBIAnj5O/y7lqFb7DJI2vtgAdYE75f06
=iHxP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 May 2012 07:33:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:56:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.